PHP 5.4 gives this warning on /user/% pages when AES is enabled.

Patch attached.

strict-5.4.patch869 bytesmyoung008


markisatacomputer’s picture

Had this problem too and patch worked for me.

Vandalf’s picture

Seems to work for me as well. Thanks! :)

SocialNicheGuru’s picture


ergophobe’s picture

Patch also works for me in Drupal 7.25

dpovshed’s picture

Version:7.x-1.5» 7.x-1.x-dev
Issue summary:View changes
Status:Needs review» Needs work

@myoung008, thanks for the patch. As I see it does NOT comply with basic coding standards, see

Could you please correct this?
BTW I assume you're creating patch based on dev branch, is it correct?

dpovshed’s picture

Status:Needs work» Fixed

@myoung, I recreated a patch and committed to the dev branch.

Status:Fixed» Closed (fixed)

Automatically closed - issue fixed for 2 weeks with no activity.

  • Commit 2bf5720 on 7.x-1.x, 8.x-2.x by dpovshed:
    Issue #1943428 by myoung008: fix PHP 5.4 warning on viewing user with...